<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.citygis.web.mapper.TabAccessFeedbackMapper">

    <select id="getTabAccessFeedbackList" resultType="com.citygis.web.domain.TabAccessFeedback"
            parameterType="com.citygis.web.domain.TabAccessFeedback">

        select "ID","UPDATE_MODE","RESOURCE_ABSTRACT","RESOURCE_SOURCE","FORMAT_TYPE","DATA_MANE","CREATE_BY","CREATE_TIME","UPDATE_BY","UPDATE_TIME","USER_ID","DEPT_ID","IS_DEL","IS_APPLY","STATE","PUBLISH_DATE","BATCH","ACCESS_ONLY_ID","ACCESS_NAME","ACCESS_CODE","ACCESS_ADDRESS","ACCESS_TIME_CONFIG","ACCESS_SYSTEM_CODE","ACCESS_SYSTEM_NAME","OFFER_NAME","OFFER_CODE","OFFER_TIME_CONFIG","OFFER_TYPE","OFFER_OTHER","OFFER_SYSYTEM_CODE","OFFER_SYSTEM_NAME","CODE"
        from "LIU_TONG_YI"."TAB_ACCESS_FEEDBACK"
        where IS_DEL = 0
        <if test="states != null">
            STATUS in
            <foreach collection="states" item="state" open="(" separator="," close=")">
                #{state}
            </foreach>
        </if>

        <if test="dataMane != null">
            and DATA_MANE like concat('%',#{dataMane},'%')
        </if>

        ${params.dataScope}
    </select>

</mapper>
